summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild/creating_data/create-rhel-repo.sh (renamed from build/creating_data/download-pkg.sh)17
-rwxr-xr-xbuild/creating_data/create-ubuntu-repo.sh33
-rwxr-xr-xbuild/download_offline_data_by_lists.sh13
3 files changed, 50 insertions, 13 deletions
diff --git a/build/creating_data/download-pkg.sh b/build/creating_data/create-rhel-repo.sh
index 03bfe07f..8e872d9e 100755
--- a/build/creating_data/download-pkg.sh
+++ b/build/creating_data/create-rhel-repo.sh
@@ -16,16 +16,16 @@
#
# COPYRIGHT NOTICE ENDS HERE
-outdir="$1"
-if [[ -z "$outdir" ]]; then
+OUTDIR="${1}"
+if [[ -z "${OUTDIR}" ]]; then
echo "Missing output dir"
exit 1
fi
# if onap.repo does not exists create it
-mkdir -p $outdir
-if [ ! -f "$outdir/onap.repo" ]; then
- cat > "$outdir/onap.repo" <<EOF
+mkdir -p "${OUTDIR}"
+if [ ! -f "${OUTDIR}/onap.repo" ]; then
+ cat > "${OUTDIR}/onap.repo" <<EOF
[ONAP]
name=Offline ONAP repository
baseurl=PATH
@@ -36,7 +36,8 @@ fi
# this exact docker version is required by ONAP/beijing
# it should be available in centos docker repo
-yumdownloader --resolve --destdir="$outdir" docker-ce-17.03.2.ce libtool-ltdl docker-ce-selinux
+yumdownloader --resolve --destdir="${OUTDIR}" docker-ce-17.03.2.ce libtool-ltdl docker-ce-selinux
-yumdownloader --resolve --destdir="$outdir" dnsmasq icewm firefox tigervnc-server perl*
-createrepo "$outdir"
+createrepo "${OUTDIR}"
+
+exit 0
diff --git a/build/creating_data/create-ubuntu-repo.sh b/build/creating_data/create-ubuntu-repo.sh
new file mode 100755
index 00000000..ac7de65c
--- /dev/null
+++ b/build/creating_data/create-ubuntu-repo.sh
@@ -0,0 +1,33 @@
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+
+OUTDIR="${1}"
+if [[ -z "${OUTDIR}" ]]; then
+ echo "Missing output dir"
+ exit 1
+fi
+
+
+# create the package index
+dpkg-scanpackages -m "${OUTDIR}" > "${OUTDIR}/Packages"
+cat "${OUTDIR}/Packages" | gzip -9c > "${OUTDIR}/Packages.gz"
+
+# create the Release file
+echo 'deb [trusted=yes] http://repo.infra-server/ubuntu/xenial /' > "${OUTDIR}/onap.list"
+
+exit 0
diff --git a/build/download_offline_data_by_lists.sh b/build/download_offline_data_by_lists.sh
index 00146ce5..5fb24802 100755
--- a/build/download_offline_data_by_lists.sh
+++ b/build/download_offline_data_by_lists.sh
@@ -46,7 +46,7 @@ fi
CTOOLS="${LOCAL_PATH}/creating_data"
LISTS_DIR="${LOCAL_PATH}/data_lists"
DATA_DIR="${LOCAL_PATH}/../../resources"
-TOTAL=10
+TOTAL=11
CURR=1
message info "Downloading started: $(date)"
@@ -77,11 +77,14 @@ $CTOOLS/download-npm-pkgs.sh "$LISTS_DIR/${TAG}-npm.list" "$DATA_DIR/offline_dat
echo "[Step $((CURR++))/$TOTAL Download bin tools]"
$CTOOLS/download-bin-tools.sh "${TAG}" "$DATA_DIR/downloads"
-echo "[Step $((CURR++))/$TOTAL Download rhel pkgs]"
-$CTOOLS/download-pkg.sh "$DATA_DIR/pkg/rhel"
+echo "[Step $((CURR++))/$TOTAL Create RHEL repository]"
+$CTOOLS/create-rhel-repo.sh "$DATA_DIR/pkg/rhel"
echo "[Step $((CURR++))/$TOTAL Download sdnc-ansible-server packages]"
-$CTOOLS/download-pip.sh "$LISTS_DIR/${TAG}-pip_list.txt" "$DATA_DIR/offline_data/pypi"
-$CTOOLS/download-files.sh "$LISTS_DIR/pkg_list.txt" "$DATA_DIR/pkg/ubuntu/xenial"
+$CTOOLS/download-pip.sh "$LISTS_DIR/${TAG}-pip_packages.list" "$DATA_DIR/offline_data/pypi"
+$CTOOLS/download-files.sh "$LISTS_DIR/deb_packages.list" "$DATA_DIR/pkg/ubuntu/xenial"
+
+echo "[Step $((CURR++))/$TOTAL Create APT repository]"
+$CTOOLS/create-ubuntu-repo.sh "$DATA_DIR/pkg/ubuntu/xenial"
message info "Downloading finished: $(date)"